/**
 * Simple class defines some methods to be used in thread tests.
 */
package ru.manager;

import org.w3c.dom.Document;

public abstract class SignatureManager {

	/**
	 * Function produces text XML SOAP message.
	 * @return XML SOAP message.
	 */
	public abstract String getMessage();
	
	/**
	 * Function sets signature in XML SOAP document.
	 * @param docStr - XML SOAP string.
	 * @return signed document.
	 */
	public abstract Document signDoc(String docStr);
	
	/**
	 * Function verifies signed XML SOAP document.
	 * @param signedDoc - signed document.
	 * @param printCert - option to print certificate.
	 * @return verification result.
	 */
	public abstract boolean verifyDoc(Document signedDoc, boolean printCert);
}
