/*
 * Test provides different threads for signing and verifying of SOAP 
 * XML documents synchronizing by queue.
 */

package ru.wss4j1_5_11.tests;

import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import ru.manager.SignatureManager;
import ru.manager.TestManager;
import ru.manager.TestManagerMulti;
import ru.utility.SpecUtility;
import ru.wss4j1_5_11.manager.SOAPXMLSignatureManager_1_5_11;

public class EfficiencyTestMulti {
	
	private static final int PRODUCER_COUNT = 2;
	private static final int PROCESSOR_COUNT = 2;
	private static final int WORKOUT_PERIOD = 30000;
	
	/**
	 * @param args
	 * @throws ClassNotFoundException 
	 * @throws CertificateException 
	 * @throws NoSuchAlgorithmException 
	 * @throws KeyStoreException 
	 * @throws InterruptedException 
	 */
	public static void main(String[] args) throws KeyStoreException, NoSuchAlgorithmException, 
	CertificateException, ClassNotFoundException {
		
		SignatureManager signatureManager = 
			new SOAPXMLSignatureManager_1_5_11(SpecUtility.DEFAULT_CRYPTO_PROPERTIES, 
				SpecUtility.DEFAULT_ALIAS, SpecUtility.DEFAULT_PASSWORD);
		
		TestManager testMulti = new TestManagerMulti( "EfficiencyTestMulti", 
				PRODUCER_COUNT, PROCESSOR_COUNT, WORKOUT_PERIOD, signatureManager);
		
		testMulti.execute();
		testMulti.report();
	}
}
