/*
 * Test provides different threads for signing and verifying of SOAP 
 * XML documents, where every pair of producer and processor is synchronized 
 * by one queue.
 */

package ru.wss4j1_5_11.tests;

import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import ru.manager.SignatureManager;
import ru.manager.TestManager;
import ru.manager.TestManagerMultiQueue;
import ru.utility.SpecUtility;
import ru.wss4j1_5_11.manager.SOAPXMLSignatureManager_1_5_11;

public class EfficiencyTestMultiQueue {

	private static final int PAIR_COUNT = 2;
	private static final int WORKOUT_PERIOD = 30000;
	
	/**
	 * @param args
	 * @throws ClassNotFoundException 
	 * @throws CertificateException 
	 * @throws NoSuchAlgorithmException 
	 * @throws KeyStoreException 
	 */
	public static void main(String[] args) throws KeyStoreException, NoSuchAlgorithmException, 
	CertificateException, ClassNotFoundException {

		SignatureManager signatureManager = 
			new SOAPXMLSignatureManager_1_5_11(SpecUtility.DEFAULT_CRYPTO_PROPERTIES, 
				SpecUtility.DEFAULT_ALIAS, SpecUtility.DEFAULT_PASSWORD);
		
		TestManager testMultiQueue = new TestManagerMultiQueue( "EfficiencyTestMultiQueue", 
						PAIR_COUNT, WORKOUT_PERIOD, signatureManager);
		
		testMultiQueue.execute();
		testMultiQueue.report();
	}
}
