/*
 * Test provides one main thread for signing and verifying of SOAP 
 * XML documents as one operation (simple circle).
 */

package ru.wss4j1_5_11.tests;

import java.security.KeyStoreException;
import java.security.NoSuchAlgorithmException;
import java.security.cert.CertificateException;
import ru.manager.SignatureManager;
import ru.manager.TestManager;
import ru.manager.TestManagerSingle;
import ru.utility.SpecUtility;
import ru.wss4j1_5_11.manager.SOAPXMLSignatureManager_1_5_11;

public class EfficiencyTestSingle {

	private static final int CIRCLE_COUNT = 1000;
	
	/**
	 * @param args
	 * @throws ClassNotFoundException 
	 * @throws CertificateException 
	 * @throws NoSuchAlgorithmException 
	 * @throws KeyStoreException 
	 */
	public static void main(String[] args) throws KeyStoreException, NoSuchAlgorithmException, 
	CertificateException, ClassNotFoundException {

		SignatureManager signatureManager = 
			new SOAPXMLSignatureManager_1_5_11(SpecUtility.DEFAULT_CRYPTO_PROPERTIES, 
				SpecUtility.DEFAULT_ALIAS, SpecUtility.DEFAULT_PASSWORD);
		
		TestManager testSingle = new TestManagerSingle( "EfficiencyTestSingle", 
							CIRCLE_COUNT, signatureManager);
		testSingle.execute();
		testSingle.report();
	}
}
