/*
 * This class extends default class Merlin to cache a private key and to avoid permanent 
 * reading of key from store.
 */

package ru.wss4j1_5_11.ws.security.components.crypto;

import java.io.IOException;
import java.security.PrivateKey;
import java.util.Properties;

import org.apache.ws.security.components.crypto.CredentialException;
import org.apache.ws.security.components.crypto.Merlin;

public class MerlinEx extends Merlin {

    private PrivateKey cachedPrivateKey = null;
    private String cachedAlias = null;
	
	public MerlinEx(Properties properties) throws CredentialException,
			IOException {
		super(properties);
	}
	
	public MerlinEx(Properties properties, ClassLoader loader) throws CredentialException, 
			IOException {
		super(properties, loader);
	}
	
    public PrivateKey getPrivateKey(String alias, String password) throws Exception {
    	
    	if (cachedPrivateKey == null || 
    			(cachedAlias != null && !cachedAlias.equalsIgnoreCase(alias))) {
    		cachedAlias = alias;
    		cachedPrivateKey = super.getPrivateKey(alias, password);
    	}
    	
    	return cachedPrivateKey;
    }
}
